

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>2.6. Fedora &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="2.7. Oracle Solaris" href="solaris.html" />
    <link rel="prev" title="2.5. CentOS" href="centos.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../ja/html/install/fedora.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="solaris.html" title="2.7. Oracle Solaris"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="centos.html" title="2.5. CentOS"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../install.html" accesskey="U"><span class="section-number">2. </span>Install</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">2.6. </span>Fedora</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="fedora">
<h1><span class="section-number">2.6. </span>Fedora<a class="headerlink" href="#fedora" title="Permalink to this headline">¶</a></h1>
<p>This section describes how to install Groonga related RPM packages on
Fedora. You can install them by <code class="docutils literal notranslate"><span class="pre">yum</span></code>.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Since Groonga 3.0.2 release, Groonga related RPM pakcages are in the
official Fedora yum repository (Fedora 18). So you can use them
instead of the Groonga yum repository now. There is some exceptions
to use the Groonga yum repository because mecab dictionaries
(mecab-ipadic or mecab-jumandic) are provided by the Groonga yum
repository.</p>
</div>
<p>We distribute both 32-bit and 64-bit packages but we strongly
recommend a 64-bit package for server. You should use a 32-bit package
just only for tests or development. You will encounter an out of
memory error with a 32-bit package even if you just process medium
size data.</p>
<div class="section" id="fedora-21">
<h2><span class="section-number">2.6.1. </span>Fedora 21<a class="headerlink" href="#fedora-21" title="Permalink to this headline">¶</a></h2>
<p>Install:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum install -y groonga
</pre></div>
</div>
<p>Note that additional packages such as <code class="docutils literal notranslate"><span class="pre">mecab-dic</span></code> and <code class="docutils literal notranslate"><span class="pre">mecab-jumandic</span></code> packages require to install
<code class="docutils literal notranslate"><span class="pre">groonga-release</span></code> package which provides the Groonga yum repository beforehand:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo rpm -ivh https://packages.groonga.org/fedora/groonga-release-1.1.0-1.noarch.rpm
% sudo yum update
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><code class="docutils literal notranslate"><span class="pre">groonga</span></code> package is the minimum set of fulltext search engine.
If you want to use Groonga for server use, you can install
additional preconfigured packages.</p>
<p>There are two packages for server use.</p>
<ul class="simple">
<li><p>groonga-httpd (nginx and HTTP protocol based server package)</p></li>
<li><p>groonga-server-gqtp (GQTP protocol based server package)</p></li>
</ul>
<p>See <a class="reference internal" href="../server.html"><span class="doc">Server</span></a> section about details.</p>
</div>
<p>If you want to use <a class="reference external" href="https://taku910.github.io/mecab/">MeCab</a> as a
tokenizer, install groonga-tokenizer-mecab package.</p>
<p>Install groonga-tokenizer-mecab package:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum install -y groonga-tokenizer-mecab
</pre></div>
</div>
<p>Then install MeCab dictionary. (mecab-ipadic or mecab-jumandic)</p>
<p>Install IPA dictionary:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum install -y mecab-ipadic
</pre></div>
</div>
<p>Or install Juman dictionary:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum install -y mecab-jumandic
</pre></div>
</div>
<p>There is a package that provides <a class="reference external" href="http://munin-monitoring.org/">Munin</a> plugins. If you want to monitor
Groonga status by Munin, install groonga-munin-plugins package.</p>
<p>Install groonga-munin-plugins package:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum install -y groonga-munin-plugins
</pre></div>
</div>
<p>There is a package that provides MySQL compatible normalizer as
a Groonga plugin.
If you want to use that one, install groonga-normalizer-mysql package.</p>
<p>Install groonga-normalizer-mysql package:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum install -y install groonga-normalizer-mysql
</pre></div>
</div>
</div>
<div class="section" id="build-from-source">
<h2><span class="section-number">2.6.2. </span>Build from source<a class="headerlink" href="#build-from-source" title="Permalink to this headline">¶</a></h2>
<p>Install required packages to build Groonga:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo yum install -y wget tar gcc-c++ make mecab-devel libedit-devel
</pre></div>
</div>
<p>Download source:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% wget https://packages.groonga.org/source/groonga/groonga-11.0.0.tar.gz
% tar xvzf groonga-11.0.0.tar.gz
% cd groonga-11.0.0
</pre></div>
</div>
<p>Configure (see <a class="reference internal" href="others.html#source-configure"><span class="std std-ref">configure</span></a> about <code class="docutils literal notranslate"><span class="pre">configure</span></code> options):</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% ./configure
</pre></div>
</div>
<p>Build:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% make -j$(grep &#39;^processor&#39; /proc/cpuinfo | wc -l)
</pre></div>
</div>
<p>Install:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>% sudo make install
</pre></div>
</div>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">2.6. Fedora</a><ul>
<li><a class="reference internal" href="#fedora-21">2.6.1. Fedora 21</a></li>
<li><a class="reference internal" href="#build-from-source">2.6.2. Build from source</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="centos.html"
                        title="previous chapter"><span class="section-number">2.5. </span>CentOS</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="solaris.html"
                        title="next chapter"><span class="section-number">2.7. </span>Oracle Solaris</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="solaris.html" title="2.7. Oracle Solaris"
             >next</a> |</li>
        <li class="right" >
          <a href="centos.html" title="2.5. CentOS"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../install.html" ><span class="section-number">2. </span>Install</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">2.6. </span>Fedora</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>